Saltar al contenido principal
PUT
/
crm
/
objects
/
2026-03
/
{fromObjectType}
/
{fromObjectId}
/
associations
/
default
/
{toObjectType}
/
{toObjectId}
Asociar registros (predeterminados)
curl --request PUT \
  --url https://api.hubapi.com/crm/objects/2026-03/{fromObjectType}/{fromObjectId}/associations/default/{toObjectType}/{toObjectId} \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "associationSpec": {
        "associationTypeId": 123
      },
      "from": {
        "id": "<string>"
      },
      "to": {
        "id": "<string>"
      }
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

fromObjectId
string
requerido
fromObjectType
string
requerido
toObjectId
string
requerido
toObjectType
string
requerido

Respuesta

successful operation

La respuesta que se obtiene después de hacer una operación por lotes en las asociaciones.

completedAt
string<date-time>
requerido

La marca de tiempo en que se completó el procesamiento por lotes, en formato ISO 8601.

results
object[]
requerido
startedAt
string<date-time>
requerido

La marca de tiempo en que comenzó la ejecución del procesamiento por lotes, en formato ISO 8601.

status
enum<string>
requerido

El estado de la solicitud de procesamiento por lotes: "PENDIENTE", "PROCESANDO", "CANCELADA" o "COMPLETADA".

Opciones disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

Un objeto que contiene los enlaces relacionados con la solicitud por lotes.

numErrors
integer<int32>

El número de errores encontrados durante el procesamiento por lotes.

requestedAt
string<date-time>

La marca de tiempo en que se inició el procesamiento por lotes, en formato ISO 8601.

Last modified on April 13, 2026